"""
@package parmepy.numerics.interpolators.interpolation
"""
from parmepy.constants import np, PARMES_REAL, ORDER
from parmepy.numerics.method import NumMethod


class Linear(NumMethod):
    """Remshing with M6prime function"""

    def __init__(self, f):
        NumMethod.__init__(self)
        self.name = 'LinearInterpolation'
        self.field = f

    def __call__(self, x, y):

        """
        Remesh particles at position ppos with scalar
        pscal along direction d.

        @param ppos : particle position
        @param pscal : particle scalar
        @param d : splitting direction
        """
        raise ValueError("Not implemented")
