"""
@package parmepy.operator.monitors.monitoring
"""
from abc import ABCMeta, abstractmethod
from parmepy.operator.continuous import Operator


class Monitoring(Operator):
    """Abstract description a monitor. """

    __metaclass__ = ABCMeta

    @abstractmethod
    def __init__(self, variables, frequency):
        """ Constructor
        @param dimension integer : domain dimension.
        """
        Operator.__init__(self, variables)
        ## Monitor frequency
        self.freq = frequency

    def setUp(self):
        pass

    def finalize(self):
        pass

    def printComputeTime(self):
        pass


if __name__ == "__main__":
    print __doc__
    print "- Provided class : Monitoring (abstract)."
    print Monitoring.__doc__


