"""
@package parmepy.gpu
@file parmepy/gpu/__init__.py

Everything concerning GPU in Parmes.

"""
from parmepy.constants import np, os
import pyopencl as cl

## GPU deflault sources
GPU_SRC = os.path.join(__path__[0], "cl_src", '')
PARMES_REAL_GPU = np.float32
PARMES_DOUBLE_GPU = np.float64
PARMES_INTEGER_GPU = np.uint32

