
inline float4 alpha(float4 y, float4 s){
  return (y*fma(y,fma(y,-1.0, 2.0), - 1.0)/2.0)*s;}
inline float4 beta(float4 y, float4 s){
  return (fma(y*y, fma(y, 3.0, -5.0), 2.0) / 2.0) *s;}
inline float4 gamma(float4   y, float4 s){
  return ((y * fma(y , fma(-3.0, y, 4.0), 1.0)) / 2.0) * s;}
inline float4 delta(float4 y, float4 s){
  return ((y * y * fma(1.0, y, - 1.0)) / 2.0) * s;}
