"""
Testing parmepy.operator.advection
"""
import parmepy as pp
from parmepy.operator.advection import Advection
from parmepy.fields.continuous import Field


def test_setUp():
    dom = pp.box.Box()
    resolTopo = [33, 33, 17]
    csf = Field(dom)
    cvf = Field(dom, vector=True)
    advec = Advection(cvf, csf)
    advec.setUp(resolutions={csf: [33, 33, 17],
                             cvf: [33, 33, 17]},
                method='')
    # advec = Advection(cvf, csf)
    # advec.setUp(resolutions={csf: [33, 33, 17],
    #                          cvf: [33, 33, 17]},
    #             method='gpu_2k_rk2_m6prime')
